@import url(./page-hero.css);

.filters-box {
  display: flex;
  flex-flow: column;
  justify-content: center;
  background-color: var(--bs-white);
  border-radius: var(--bs-border-radius);
  padding: 1.25rem 1.5rem;
  gap: 1rem;
}

.filters-fields {
  display: flex;
  flex-grow: 1;
  flex-flow: column;
  justify-content: center;
  gap: 1rem;
}

.filters-fields .form-label {
  display: flex;
  flex-flow: column;
  gap: 0.5rem;
  max-width: 100%;
  font-size: clamp(14px,1.25vw,18px);
  font-weight: 700;
  margin-bottom: 0;
  white-space: nowrap;
}

.filters-fields .form-control,
.filters-fields .form-select {
  border-radius: 1.5rem;
}

.filters-fields .form-select {
  --bs-form-select-bg-img: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%2341B3D3' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
}

.filters-fields .form-select option:checked,
.filters-fields .form-select option[selected="selected"] {
  color: var(--color-light-blue)!important;
}

@media screen and (min-width: 992px) {
  .filters-box {
    flex-flow: row;
    align-items: center;
  }

  .filters-fields {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
  }

  .filters-fields .form-label {
    flex-flow: row;
    align-items: center;
  }
}

.pagination {
  --bs-pagination-color: var(--color-light-blue);
  --bs-pagination-bg: var(--bs-white);
  --bs-pagination-active-bg: var(--color-light-blue);
  --bs-pagination-border-color: var(--color-light-blue);
  --bs-pagination-padding-x: 1rem;
  --bs-pagination-padding-y: 0.625rem;
  --bs-pagination-border-radius: 2rem;
  gap: 0.5rem;
}

.pagination .page-item .page-link {
  border-radius: var(--bs-pagination-border-radius);
}